Search companies
curl --request GET \
--url https://app.sajn.se/api/v1/companies/search \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/companies/search"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/companies/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"id": "<string>",
"name": "<string>",
"orgNumber": "<string>",
"country": "<string>",
"contacts": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"ssn": "<string>",
"externalId": "<string>",
"companyRole": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"orgNumber": "<string>"
}
}
]
}
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}Companies
Search companies
Search for companies by organization number or name.
Query Parameters (at least one required):
orgNumber- Search by exact organization number matchname- Search by exact company name match (case-insensitive)
Response: Returns an array of matching companies with their associated contacts. Empty array if no matches found.
Note: All searches are exact matches and scoped to your organization.
GET
/
api
/
v1
/
companies
/
search
Search companies
Authorizations
oauth2bearerAuth
OAuth 2.0 access token for a connected application. Limited to the scopes granted at consent.
Headers
Bearer token for API authentication
Query Parameters
Response
200
Array of matching companies
Show child attributes
Show child attributes
Was this page helpful?

